## NOTE Please read README_packaging.txt before updating this package.
%define _disable_ld_no_undefined 1
%global __requires_exclude ^lib(S57ENC|GARMINHOST|TEXCMP|NMEA0183)\\.so.*$
%define tarname	OpenCPN

Name:		opencpn
Summary:	A concise Chartplotter and Navigation software
Version:	4.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Geography
URL:		http://opencpn.org/ocpn/
Source0:	https://github.com/%{tarname}/%{tarname}/archive/v%{version}/%{tarname}-%{version}.tar.gz
Source1:	README_packaging.txt
Source2:	get-plugins

BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgps)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel 
BuildRequires:	wxgtku3.0-devel

Requires:	gpsd-clients

Recommends:	opencpn-ais-radar-plugin
Recommends:	opencpn-br24radar-plugin
Recommends:	opencpn-celestial-navigation-plugin
Recommends:	opencpn-chartdldr-plugin
Recommends:	opencpn-climatology-plugin
Recommends:	opencpn-iacfleet-plugin
Recommends:	opencpn-logbookkonni-plugin
Recommends:	opencpn-objsearch-plugin
Recommends:	opencpn-polar-plugin
Recommends:	opencpn-route-plugin
Recommends:	opencpn-s63-plugin
Recommends:	opencpn-sar-plugin
Recommends:	opencpn-squiddio-plugin
Recommends:	opencpn-statusbar-plugin
Recommends:	opencpn-watchdog-plugin
Recommends:	opencpn-weather-routing-plugin
Recommends:	opencpn-weatherfax-plugin

%description
A cross-platform ship-borne GUI application supporting
* GPS/GPDS Position Input
* BSB Raster Chart display
* S57 Vector ENC chart display
* CM93 Vector chart display
* AIS Input Decoding
* Waypoint Autopilot Navigation

Pilot charts can be downloaded from http://opencpn.org/ocpn/pilotcharts
Other useful add-ons may be found inside the "Download" link at
http://opencpn.org/ocpn

%prep
%setup -q -n %{tarname}-%{version}

rm -rf plugins/chartdldr_pi

# To be sure to use system tinyxml headers and not bundled ones
rm -f src/tinyxml*.cpp include/tinyxml.h

%build
%cmake	-DBUNDLE_DOCS=ON \
	-DBUNDLE_TCDATA=ON \
	-DBUNDLE_GSHHS=CRUDE \
	-DBUILD_SHARED_LIBS=OFF
%make_build

%install
%make_install -C build
	
%find_lang %{name}
%find_lang %{name}-grib_pi
%find_lang %{name}-dashboard_pi
%find_lang %{name}-wmm_pi

 desktop-file-install  \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-category='Science' \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
  
cp -f data/license.txt %{buildroot}%{_datadir}/%{name}/doc
cp -f data/doc/help_en_US.html %{buildroot}%{_datadir}/%{name}/doc
cp -f data/doc/readme %{buildroot}%{_datadir}/%{name}/doc

# Remove Debian-only docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -f %{name}.lang -f %{name}-dashboard_pi.lang -f %{name}-grib_pi.lang -f %{name}-wmm_pi.lang
%doc README
%dir %{_datadir}/%{name}
%doc %{_datadir}/%{name}/doc/images/*
%doc %{_datadir}/%{name}/doc/license.txt
%doc %{_datadir}/%{name}/license.txt
%doc %{_datadir}/%{name}/doc/readme
%doc %{_datadir}/%{name}/doc/help*
%{_bindir}/*
%dir %{_datadir}/%{name}/gshhs
%{_datadir}/%{name}/gshhs/*
%{_datadir}/%{name}/s57data/*
%{_datadir}/%{name}/sounds/*
%dir %{_datadir}/%{name}/tcdata
%{_datadir}/%{name}/tcdata/*
%{_datadir}/%{name}/uidata/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdashboard_pi.so
%{_libdir}/%{name}//libwmm_pi.so
%{_libdir}/%{name}/libgrib_pi.so
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/plugins/dashboard_pi/data/*
%{_datadir}/%{name}/plugins/grib_pi/data/*
%{_datadir}/%{name}/plugins/wmm_pi/data/*


%changelog
* Sun Oct 09 2016 barjac <barjac> 4.4.0-1.mga6
+ Revision: 1059874
- new version 4.4.0

* Thu Jun 02 2016 daviddavid <daviddavid> 4.2.0-4.mga6
+ Revision: 1019819
- rebuild for wxgtk3.0 built with GTK2

  + barjac <barjac>
    - really delete old source tarball

* Mon Mar 14 2016 barjac <barjac> 4.2.0-3.mga6
+ Revision: 990599
- use correct tarball from github

* Tue Feb 16 2016 barjac <barjac> 4.2.0-2.mga6
+ Revision: 962304
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 4.2.0-1.mga6
+ Revision: 951178
- new version 4.2.0
- remove old external plugin sources
- split out all plugins
- _disable_ld_no_undefined
- patch to use O2 optimization in CMakeLists.txt
- use %%cmake macro
- build with wxgtku2.8 not 3
- prepare get-plugins for plugin source version checking

* Tue Nov 03 2015 barjac <barjac> 4.0.0-2.mga6
+ Revision: 897645
- added plugin sub-packages
- added get-plugins script to ease maintenence and version the tarballs
- patched celestial plugin to fix build
- enabled conditional plugin inclusion, currently exluding 3 that fail to build
- thanks to Philippe Didier for his help with this package

* Sun Oct 25 2015 barjac <barjac> 4.0.0-1.mga6
+ Revision: 895071
- new version 4.0.0
- patch to fix build with gcc-5.x

* Fri Aug 28 2015 cjw <cjw> 3.2.2-6.mga6
+ Revision: 870481
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-5.mga5
+ Revision: 744956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-4.mga5
+ Revision: 683200
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 3.2.2-3.mga4
+ Revision: 528586
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 barjac <barjac> 3.2.2-2.mga4
+ Revision: 446085
- fix description

  + philippedidier <philippedidier>
    - restore commented source link in spec file

* Tue May 28 2013 philippedidier <philippedidier> 3.2.2-1.mga4
+ Revision: 429034
- remove old source
- update to 3.2.2 (maintenance release)
 > - correction of several minor operational faults and special case
  configurations

* Sun Mar 24 2013 barjac <barjac> 3.2.0-1.mga3
+ Revision: 404858
- new version 3.2.0

* Sun Jan 13 2013 umeabot <umeabot> 3.0.2-2.mga3
+ Revision: 361951
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 barjac <barjac> 3.0.2-1.mga3
+ Revision: 327947
- Imported original from Mandriva, updated thanks to Philippe Didier

